%define realname PAM auth
%define modname pam_auth
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 19_%{modname}.ini
%define mod_src %{modname}.c
%define mod_lib "-L/%{_lib}/security -L/%{_lib} -I%{_includedir}/security -lpam -ldl"
%define mod_def "-DCOMPILE_DL_PAM_AUTH -DHAVE_PAM_AUTH"

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	0.4
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://www.math.ohio-state.edu/~ccunning/pam_auth/
Source0:	%{modname}-%{version}-4.3.tar.bz2
Patch0:		pam_auth-0.4-service_name.diff
BuildRequires:  php4-devel
BuildRequires:	pam-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

This is a PHP4 extension that will allow you to simply and easily
use php to authenticate via PAM. 

%prep

%setup -q -n pam_auth
%patch0 -p0

%build

%{_usrsrc}/php4-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

# fix conditional pam config file
%if %{mdkversion} < 200610
cat > %{buildroot}%{_sysconfdir}/pam.d/php4 <<EOF
auth            sufficient      pam_pwdb.so shadow nodelay
account         sufficient      pam_pwdb.so
EOF
%else
cat > %{buildroot}%{_sysconfdir}/pam.d/php4 <<EOF
#%PAM-1.0
auth       include      system-auth
account    include      system-auth
EOF
%endif

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}

[pam_auth]
pam_auth.servicename = php4

EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGELOG FAQ INSTALL README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/php4
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4-5
- rebuilt for php-4.4.4
- fix the pam service name
- make the pam config sensitive for backports
- added lib64 fixes

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4-4mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.4-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.4-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.4-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.4-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.4-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.4-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.4-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.4-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.4-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.4-2mdk
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.4-1mdk
- fix url
- lib64 fixes
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.4-1mdk
- built for php 4.3.4
- use chrpath

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.4-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.4-1mdk
- 0.4

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.3.1-1mdk
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_0.3.1-1mdk
- fix the php versioning

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-7mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-6mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-5mdk
- built against php-4.3.0
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-4mdk
- try to fix the hardcoded rpath this time... (WTF?)

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-3mdk
- really fix the hardcoded rpath this time...

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-2mdk
- no hardcoded rpath
- misc spec file fixes

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-1mdk
- initial cooker contrib
